import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);
import exam_answer from '@common/src/store/exam/answer';
import examination_examinee from '@common/src/store/examination_examinee';
import security_guard_collect from '@common/src/store/security_guard_collect';
import login from '@common/src/store/login';
import examinee from '@common/src/store/exam/examinee';
export default new Vuex.Store({
  state: {
    checkResult: false,
    isExaming: false,
    timer: undefined,
    resultList: [],
  },
  mutations: {
    setCheckResult(state, payload) {
      state.checkResult = payload;
    },
    setExaming(state, payload) {
      state.isExaming = payload;
    },
    setTimer(state, payload) {
      state.timer = payload;
    },
    setRecord(state, payload) {
      state.resultList.push(payload);
    },
    resetVar(state) {
      state.checkResult = false;
      state.isExaming = false;
      state.resultList = [];
      if (state.timer) clearInterval(state.timer);
      state.timer = undefined;
    },
  },
  actions: {},
  modules: {
    exam_answer,
    examination_examinee,
    security_guard_collect,
    login,
    examinee,
  },
});
