const path = require('path');
const common = path.resolve(__dirname, '../baoan-common');
module.exports = {
  // publicPath: `/${process.env.VUE_APP_ROUTER}`,
  publicPath: `/`,
  outputDir: process.env.VUE_APP_ROUTER,
  productionSourceMap: false,
  configureWebpack: (config) => {
    Object.assign(config, {
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@common': common,
        },
      },
    });
  },
  pluginOptions: {
    electronBuilder: {
      nodeIntegration: true,
      outputDir: 'electron_bulid', //打包后输出的目录名
      builderOptions: {
        productName: '保安考试', //包名
        appId: 'com.baoan.exam', //项目id
        files: ['**/*'],
        extraFiles: [
          {
            from: './resource/*', // 项目资源
            to: './resource', // 打包后输出到的按照目录资源
          },
        ],
        win: {
          icon: './public/logo.ico',
        },
      },
    },
  },

  devServer: {
    port: '11203',
    proxy: {
      '/files': {
        target: 'http://127.0.0.1:6100', //http://baoan.fwedzgc.com:8090
      },
      '/api/position': {
        target: 'http://106.12.161.200',
        changeOrigin: true,
        ws: false,
      },
      '/api/exam/': {
        target: 'http://127.0.0.1:6104',
        changeOrigin: true,
        ws: false,
      },
      '/api': {
        target: 'http://127.0.0.1:6100',
        changeOrigin: true,
        ws: false,
      },
    },
  },
};
